Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.support.scanning
Class DefaultConfigurationScanner

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.support.scanning.DefaultConfigurationScanner

All Implemented Interfaces:
  ConfigurationScanner

    public class DefaultConfigurationScanner

extends Object
implements ConfigurationScanner

Default implementation of `ConfigurationScanner` interface.

Supports `Spring-Context` manifest header and `META-INF/spring/*.xml`.

Author:
  Costin Leau

Field Summary
`static String` | `DEFAULT_CONFIG` Default configuration location

Constructor Summary
`DefaultConfigurationScanner()`

Method Summary
`String[]` | `getConfigurations(org.osgi.framework.Bundle bundle)` Returns an array of existing Spring configuration locations (as Strings) for the given bundle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONFIG

    public static final String DEFAULT_CONFIG

  Default configuration location

  See Also:
    Constant Field Values

Constructor Detail

### DefaultConfigurationScanner

    public DefaultConfigurationScanner()

Method Detail

### getConfigurations

    public String[] getConfigurations(org.osgi.framework.Bundle bundle)

  Description copied from interface: `ConfigurationScanner`
  Returns an array of existing Spring configuration locations (as Strings) for the given bundle. If no resource was found, an empty/null array should be returned.

  Specified by:
    `getConfigurations` in interface `ConfigurationScanner`
  Parameters:
    `bundle` - non-null bundle intended for scanning
  Returns:
    Spring configuration locations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.